package ch.zhaw.projekt2.turnierverwaltung.main.gameScheduleView;

import ch.zhaw.projekt2.turnierverwaltung.*;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.scene.control.ChoiceBox;
import javafx.scene.control.Label;
import javafx.scene.control.TextField;
import javafx.scene.layout.Pane;

public class GameController extends FXController{

    private GameDecorator gameDecorator;

    @FXML
    private Label participantNameOne;

    @FXML
    private Label participantNameTwo;

    @FXML
    private ChoiceBox<Place> placesChoiceBox;

    @FXML
    private TextField pointsTeamOne;

    @FXML
    private TextField pointsTeamTwo;


    @FXML
    void saveGamerResult(ActionEvent event) {
        gameDecorator.saveGame(pointsTeamOne.getText(), pointsTeamTwo.getText(), placesChoiceBox.getValue());
        getTournamentDecorator().refreshGameParticipants();
        loadContent();
    }

    @Override
    public void loadContent() {
        participantNameOne.setText(gameDecorator.getParticipantOne());
        participantNameTwo.setText(gameDecorator.getParticipantTwo());
        pointsTeamOne.setText(String.valueOf(gameDecorator.getPoints1()));
        pointsTeamTwo.setText(String.valueOf(gameDecorator.getPoints2()));
    }

    public void setup(TournamentDecorator tournamentDecorator, FileIO fileIO, FactoryDecorator factoryDecorator, Pane pane, GameDecorator gameDecorator) {
        super.setup(tournamentDecorator, fileIO, factoryDecorator, pane);
        this.gameDecorator = gameDecorator;
    }

}